> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Single validator voting latency

This endpoint returns information related to a single validator's voting latency (i.e. voting timeliness). For a glossary of the variables returned, see [validators](/rated-api/glossary/solana/validators).

Here's how to interpret the inputs required to operate it👇

| Parameter | Description                                                                                                                                                            |
| :-------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `from`    | Starting slot to get the vote latency from                                                                                                                             |
| `size`    | The number of results included per page. This is based on slots. For example, to return the voting latency in the last 200 slots, you will need to input `size = 200`. |


## OpenAPI

````yaml get /v0/solana/validators/{validator_id}/performance/latency
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/validators/{validator_id}/performance/latency:
    get:
      tags:
        - Solana Validators
      summary: Validator Latency
      operationId: >-
        validator_latency_v0_solana_validators__validator_id__performance_latency_get
      parameters:
        - name: validator_id
          in: path
          required: true
          schema:
            type: string
            title: Validator Id
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Slot to get vote latency from.
            title: From
          description: Slot to get vote latency from.
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 15
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_SolanaValidatorLatency_'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_SolanaValidatorLatency_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_solana__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SolanaValidatorLatency'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[SolanaValidatorLatency]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_solana__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__solana__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    SolanaValidatorLatency:
      properties:
        voteAccount:
          type: string
          title: Voteaccount
        votedSlot:
          type: integer
          minimum: 0
          title: Votedslot
        latency:
          type: integer
          minimum: 0
          title: Latency
      type: object
      required:
        - voteAccount
        - votedSlot
        - latency
      title: SolanaValidatorLatency
      examples:
        - latency: 3
          voteAccount: voteAccount
          votedSlot: 1224555
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    networks__solana__granularity__Granularity:
      type: string
      enum:
        - 3k
        - day
      title: Granularity
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````